import { env } from '@extollo/lib'

export interface ColorPalette {
    displayName: string
    background: string
    backgroundOffset: string
    backgroundOffset2: string
    hero: string
    font: string
    fontMuted: string
    box: string
    link: string
    noiseSize: string
    line1: string
    line2: string
    line3: string
    highlightTheme: string
}

export default {
    name: env('APP_NAME', 'Garrett Mills'),

    analytics: {
        optOutCookie: env('ANALYTICS_OPT_OUT_COOKIE', 'analytics.opt-out'),
    },

    colors: {
        lostInTheStars: {
            displayName: "Lost in the Stars",
            background: '#4a113c',
            backgroundOffset: 'rgba(178, 127, 170, 0.1)',
            backgroundOffset2: 'rgba(178, 127, 170, 0.2)',
            hero: '#6ebbd5',
            font: '#ffe3ff',
            fontMuted: '#daa7d2',
            box: '#b27faa',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: 'rgba(178, 127, 170, 0.2)',
            line2: 'rgba(110, 187, 213, 0.9)',
            line3: 'rgba(218, 167, 210, 0.9)',
            highlightTheme: 'base16/atelier-cave',
        },
        tanOrangeAndRed: {
            displayName: "Tan, Orange, & Red",
            background: '#f8e4bf',
            backgroundOffset: 'rgb(243, 210, 147, 0.4)',
            backgroundOffset2: 'rgb(111, 71, 46, 0.15)',
            hero: '#d96a59',
            font: '#6f472e',
            fontMuted: '#ae7813',
            box: '#e0b95d',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#edb34f',
            line2: '#f88937',
            line3: '#e86c36',
            highlightTheme: 'base16/atelier-dune-light',
        },
        blueAndTan: {
            displayName: "Blue & Tan",
            background: '#052653',
            backgroundOffset: 'rgba(27, 111, 145, 0.3)',
            backgroundOffset2: 'rgba(127, 167, 158, 0.15)',
            hero: '#f6a56d',
            font: '#f6dbb0',
            fontMuted: '#dec99a',
            box: '#87afa6',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#fbad6f',
            line2: '#f47139',
            line3: '#de381e',
            highlightTheme: 'base16/equilibrium-dark',
        },
        teals: {
            displayName: "Teals",
            background: '#c6c2b9',
            backgroundOffset: 'rgba(150, 171, 162, 0.3)',
            backgroundOffset2: 'rgba(150, 171, 162, 0.7)',
            hero: '#d05a40',
            font: '#3f4962',
            fontMuted: '#5d6780',
            box: '#96aba2',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#dcbb8e',
            line2: '#95aaa3',
            line3: '#3f4962',
            highlightTheme: 'base16/edge-light',
        },
        redAndGold: {
            displayName: "Red & Gold",
            background: '#510c00',
            backgroundOffset: 'rgba(111, 42, 30, 0.4)',
            backgroundOffset2: 'rgba(111, 42, 30, 1)',
            hero: '#ee6156',
            font: '#f2d7b4',
            fontMuted: '#cb9866',
            box: '#e9b1a0',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#e9c8a0',
            line2: '#f6bb4a',
            line3: '#ef4c3f',
            highlightTheme: 'base16/chalk',
        },
        mashGreen: {
            displayName: "M*A*S*H Green",
            background: '#202318',
            backgroundOffset: 'rgba(46, 41, 22, 0.5)',
            backgroundOffset2: 'rgb(105, 75, 1, 0.3)',
            hero: '#7a7946',
            font: '#e5ddae',
            fontMuted: '#cb9866',
            box: '#cbc87c',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#b5a148',
            line2: '#ecb653',
            line3: '#71490b',
            highlightTheme: 'base16/atelier-estuary',
        },
        purpleAndWhite: {
            displayName: "Purple & White",
            background: '#6669aa',
            backgroundOffset: 'rgba(152, 155, 220, 0.4)',
            backgroundOffset2: 'rgba(81, 84, 143, 0.6)',
            hero: '#efe2df',
            font: '#fff4ed',
            fontMuted: '#b5b7ec',
            box: '#989bdc',
            link: 'var(--c-hero)',
            noiseSize: '100px',
            line1: '#979adb',
            line2: '#b3b5f1',
            line3: '#efe2df',
            highlightTheme: 'base16/atelier-cave-light',
        },
    } as Record<string, ColorPalette>,
}
